Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.iiop
Class IIOPTransportServerInitializer

    java.lang.Object
      |
      +--org.openorb.iiop.IIOPTransportServerInitializer

All Implemented Interfaces:
  TransportServerInitializer

public class IIOPTransportServerInitializer
extends java.lang.Object
implements TransportServerInitializer

Interface for creating sockets.

Version:
  $Revision: 1.15 $ $Date: 2002/09/15 21:48:46 $
Author:
  Chris Wood

Constructor Summary
`IIOPTransportServerInitializer(ORBInitInfo orbinfo, FeatureInitInfo featureinfo)` Any replacement classes must implement an identical constructor.

Method Summary
`Transport` | `accept(int timeout)` Listen for an incoming connection.
`void` | `close()` Stop listening for a connection.
`ListenPoint[]` | `getBiDirEndpoints()` Get the list of endpoints allowed for bidirectional use.
`ListenPoint` | `getPrimaryEndpoint()` Get the primary endpoint published in the IIOP profile.
`boolean` | `isOpen()` Is is the transport open?
`void` | `open()` Start listening for incoming connections.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IIOPTransportServerInitializer

    public IIOPTransportServerInitializer(ORBInitInfo orbinfo,
                                          FeatureInitInfo featureinfo)

  Any replacement classes must implement an identical constructor.

Method Detail

### open

    public void open()

  Start listening for incoming connections. Idempotent.
  Specified by:
    `open` in interface `TransportServerInitializer`
  Throws:
    `COMM_FAILURE` - If unable to listen. This will result in server shutdown.
    `TRANSIENT` - If unable to listen, and try again later.

### getPrimaryEndpoint

    public ListenPoint getPrimaryEndpoint()

  Get the primary endpoint published in the IIOP profile.

### getBiDirEndpoints

    public ListenPoint[] getBiDirEndpoints()

  Get the list of endpoints allowed for bidirectional use. These will be transmitted in BI_DIR_IIOP service contexts. If empty or null then bidirectional IIOP will be disabled.

### close

    public void close()

  Stop listening for a connection. Idempotent.
  Specified by:
    `close` in interface `TransportServerInitializer`

### isOpen

    public boolean isOpen()

  Is is the transport open?
  Specified by:
    `isOpen` in interface `TransportServerInitializer`

### accept

    public Transport accept(int timeout)

  Listen for an incoming connection.
  Specified by:
    `accept` in interface `TransportServerInitializer`
  Returns:
    transport for new connection, or null if no connection received.
  Throws:
    `COMM_FAILURE` - If some permanent comms problem occours this will result in server shutdown.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD